cc.funkemunky.api.config.system

## Class YamlConfiguration

- java.lang.Object
- - cc.funkemunky.api.config.system.ConfigurationProvider
  - - cc.funkemunky.api.config.system.YamlConfiguration

    public class YamlConfiguration
    extends ConfigurationProvider

### Constructor Summary

Constructors
Constructor and Description
`YamlConfiguration()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Configuration` `load(java.io.File file)`
`Configuration` `load(java.io.File file, Configuration defaults)`
`Configuration` `load(java.io.InputStream is)`
`Configuration` `load(java.io.InputStream is, Configuration defaults)`
`Configuration` `load(java.io.Reader reader)`
`Configuration` `load(java.io.Reader reader, Configuration defaults)`
`Configuration` `load(java.lang.String string)`
`Configuration` `load(java.lang.String string, Configuration defaults)`
`void` `save(Configuration config, java.io.File file)`
`void` `save(Configuration config, java.io.Writer writer)`
`static Configuration` `saveDefaultConfig(org.bukkit.plugin.java.JavaPlugin plugin, java.lang.String resourceName)`

### Methods inherited from class cc.funkemunky.api.config.system.ConfigurationProvider

`getProvider`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### YamlConfiguration

    public YamlConfiguration()

### Method Detail

#### save

    public void save(Configuration config,
                     java.io.File file)
              throws java.io.IOException

Specified by:
  `save` in class `ConfigurationProvider`
Throws:
  `java.io.IOException`

#### save

    public void save(Configuration config,
                     java.io.Writer writer)

Specified by:
  `save` in class `ConfigurationProvider`

#### load

    public Configuration load(java.io.File file)
                       throws java.io.IOException

Specified by:
  `load` in class `ConfigurationProvider`
Throws:
  `java.io.IOException`

#### load

    public Configuration load(java.io.File file,
                              Configuration defaults)
                       throws java.io.IOException

Specified by:
  `load` in class `ConfigurationProvider`
Throws:
  `java.io.IOException`

#### load

    public Configuration load(java.io.Reader reader)

Specified by:
  `load` in class `ConfigurationProvider`

#### load

    public Configuration load(java.io.Reader reader,
                              Configuration defaults)

Specified by:
  `load` in class `ConfigurationProvider`

#### load

    public Configuration load(java.io.InputStream is)

Specified by:
  `load` in class `ConfigurationProvider`

#### load

    public Configuration load(java.io.InputStream is,
                              Configuration defaults)

Specified by:
  `load` in class `ConfigurationProvider`

#### load

    public Configuration load(java.lang.String string)

Specified by:
  `load` in class `ConfigurationProvider`

#### load

    public Configuration load(java.lang.String string,
                              Configuration defaults)

Specified by:
  `load` in class `ConfigurationProvider`

#### saveDefaultConfig

    public static Configuration saveDefaultConfig(org.bukkit.plugin.java.JavaPlugin plugin,
                                                  java.lang.String resourceName)